Lists all conversations for a given parent.
HTTP request
GET https://geminidataanalytics.googleapis.com/v1/{parent=projects/*/locations/*}/conversations
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. Parent value for ListConversationsRequest. Format: |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. Requested page size. Server may return fewer items than requested. The max page size is |
pageToken |
Optional. A token identifying a page of results the server should return. |
filter |
Optional. Returned conversations will match criteria specified within the filter. conversations.list allows filtering by: * agents * labels |
Request body
The request body must be empty.
Response body
Message for response to listing conversations.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"conversations": [
{
object ( |
| Fields | |
|---|---|
conversations[] |
The list of conversations. |
nextPageToken |
A token identifying a page of results the server should return. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.